DSM-G600, DNS-3xx and NSA-220 Hack Forum

Unfortunately no one can be told what fun_plug is - you have to see it for yourself.

You are not logged in.

#1 2011-02-17 13:36:12

wiiguy1
Member
Registered: 2010-10-28
Posts: 28

optware on nsa-210 ?

is it possible to get optware(ipkg) on the nsa-210 ?
i did found a german site that had some instructions but @ teh end it always said ipkg not found

can somebody help(if possible) ?

Last edited by wiiguy1 (2011-02-17 21:32:43)

Offline

 

#2 2012-04-08 21:55:11

fieldhouse
New member
Registered: 2012-04-08
Posts: 1

Re: optware on nsa-210 ?

I guess it depends on what you want to do with it.  I was able to get ipkg working but am a total noob on the config side so couldn't get a lot beyond that.

what I did:
made a directory for ipkg on my ffp usb stick
  cd /ffp 
  mkdir ipkg 
  cd /ffp/ipkg
and grabbed ipkg
  wget http://ipkg.nslu2-linux.org/feeds/optwa … 10_arm.ipk
extracted the files from the package:
  tar -xzf ipkg-opt_0.99.163-10_arm.ipk
  tar -xzf data.tar.gz
created a root level directory for optware and bound it to the extracted package
  mkdir -p /opt
  mount -bind /ffp/ipkg/opt /opt
added the optware bin and sbin directories to the path
  PATH=$PATH:/opt/bin:opt/sbin
and added the optware repository as a source in the ipkg configuration file (I used vi and just tacked the line on the end of the conf file, there are examples where you just concatenate the line using >> )
  vi /opt/etc/ipkg.conf
  src nsa210 http://ipkg.nslu2-linux.org/feeds/optwa … oss/stable
updated the list of available packages:
  ipkg update
tried installing SABnzbd+ as a test.  Isn't working because of some dependancies, but the packages download and install.  This is where I'm wondering what I did wrong since I'm obviously missing come basic concept.
  ipkg install sabnzbdplus
found a thread for another optware install on a nas.  not sure how much of this other stuff is nessary: http://forums.sabnzbd.org/viewtopic.php?t=8087
  ipkg install unrar
  ipkg install unzip
  ipkg install par2cmdline
  ipkg install py25-openssl
  ipkg install coreutils
  ipkg install util-linux-ng
  ipkg install py25-feedparser

at this point if I try to start /ffp/opt/share/SABnzbd/SABnzbd.py I get an error.  Plus there's no sabnzbd.ini file to edit.  I can grab an sabnzbd.ini file from one of my other systems so not a big deal but it doesn't appear tha python is working correctly.  If I try to run /ffp/bin/python2.4 I get an error: version `GLIBC_2.4' not found ... There doesn't appear to be a GLIBC_2.4 for ffp 0.7 OARM.  Not sure if I need to try another version like 0.5 or 0.6 or if I'm doing something else wrong.

I was planning on adding an sabnzbd.sh to the /ffp/start folder based on the sample script http://wiki.sabnzbd.org/install-as-a-unix-daemon but I kinda need to get python working first smile

Code:

  #!/ffp/bin/sh

  case "$1" in
  start)
    echo "Starting SABnzbd."
    /opt/share/SABnzbd/SABnzbd.py -s:8080 -d -f /opt/share/SABnzbd/sabnzbd.ini
  ;;
  stop)
    echo "Shutting down SABnzbd."
  #
  # If you use a password to secure SABnzbd, modify the shutdown url to the following:
  # http://HOSTADDRESS:PORT/sabnzbd/api? mode=shutdown&ma_username=USER&ma_password=PASSWORD&apikey=ENTERAPIKEYHERE
  #
    /ffp/bin/wget -q --delete-after "http://127.0.0.1:8080/sabnzbd/api?mode=shutdown&apikey=ENTERAPIKEYHERE"
  ;;
  *)
    echo "Usage: $0 {start|stop}"
    exit 1
  esac

  exit 0

I'm sure I have multiple problems and someone will see this and just <facepalm> smile

If anybody has some (ok, a lot) of patience and some suggestions or explanations for why this isn't working, I'm all ears.

Last edited by fieldhouse (2012-04-08 21:59:10)

Offline

 

Board footer

Powered by PunBB
© Copyright 2002–2010 PunBB